<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: list/list_mem.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_48c61abad44e2f181b0a6a33afb59c17.html">list</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">list_mem.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="list__mem_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#ifndef list_mem_h</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#define list_mem_h</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;{</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="list_2basic__list_8h.html">basic_list.h</a>&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;stddef.h&gt;</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="structlist__mem.html">   21</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structlist__mem.html">list_mem</a></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;{</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="structlist__mem.html#a88616358acade59fb09e90e3d96d0cef">   23</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structlist__mem.html">list_mem</a>* <a class="code" href="structlist__mem.html#a88616358acade59fb09e90e3d96d0cef">first</a>;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="structlist__mem.html#a5b9a364deed0a5f5e5a6d01f05ba5098">   24</a></span>&#160;    uint8_t* <a class="code" href="structlist__mem.html#a5b9a364deed0a5f5e5a6d01f05ba5098">mem</a>;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="structlist__mem.html#a140d449f4eaaa9afc56f07abb4922597">   25</a></span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="structlist__mem.html#a140d449f4eaaa9afc56f07abb4922597">num</a>;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="structlist__mem.html#a854352f53b148adc24983a58a1866d66">   26</a></span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="structlist__mem.html#a854352f53b148adc24983a58a1866d66">size</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;} <a class="code" href="list__mem_8h.html#a483fc0fc358317ad2576e2ede80c3d03">list_mem_t</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keywordtype">void</span> <a class="code" href="list__mem_8h.html#a36f0723f1f137c01b8e9f4f075db8080">list_mem_init</a>(<a class="code" href="structlist__mem.html">list_mem_t</a>* <span class="keyword">self</span>, <span class="keywordtype">void</span>* node_mem, <span class="keywordtype">size_t</span> node_num, <span class="keywordtype">size_t</span> node_size);</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keywordtype">void</span>* <a class="code" href="list__mem_8h.html#a4c03ac658bfca8b8cb244202a62e640f">list_mem_alloc</a>(<a class="code" href="structlist__mem.html">list_mem_t</a>* <span class="keyword">self</span>);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keywordtype">void</span> <a class="code" href="list__mem_8h.html#a65f04d73b73b04184a8f7f4231854cd0">list_mem_free</a>(<a class="code" href="structlist__mem.html">list_mem_t</a>* <span class="keyword">self</span>, <span class="keywordtype">void</span>* node);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;}</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="structlist__mem_html_a88616358acade59fb09e90e3d96d0cef"><div class="ttname"><a href="structlist__mem.html#a88616358acade59fb09e90e3d96d0cef">list_mem::first</a></div><div class="ttdeci">struct list_mem * first</div><div class="ttdef"><b>Definition:</b> list_mem.h:23</div></div>
<div class="ttc" id="structlist__mem_html_a5b9a364deed0a5f5e5a6d01f05ba5098"><div class="ttname"><a href="structlist__mem.html#a5b9a364deed0a5f5e5a6d01f05ba5098">list_mem::mem</a></div><div class="ttdeci">uint8_t * mem</div><div class="ttdef"><b>Definition:</b> list_mem.h:24</div></div>
<div class="ttc" id="list__mem_8h_html_a65f04d73b73b04184a8f7f4231854cd0"><div class="ttname"><a href="list__mem_8h.html#a65f04d73b73b04184a8f7f4231854cd0">list_mem_free</a></div><div class="ttdeci">void list_mem_free(list_mem_t *self, void *node)</div><div class="ttdef"><b>Definition:</b> list_mem.c:44</div></div>
<div class="ttc" id="structlist__mem_html"><div class="ttname"><a href="structlist__mem.html">list_mem</a></div><div class="ttdef"><b>Definition:</b> list_mem.h:21</div></div>
<div class="ttc" id="list_2basic__list_8h_html"><div class="ttname"><a href="list_2basic__list_8h.html">basic_list.h</a></div></div>
<div class="ttc" id="list__mem_8h_html_a36f0723f1f137c01b8e9f4f075db8080"><div class="ttname"><a href="list__mem_8h.html#a36f0723f1f137c01b8e9f4f075db8080">list_mem_init</a></div><div class="ttdeci">void list_mem_init(list_mem_t *self, void *node_mem, size_t node_num, size_t node_size)</div><div class="ttdef"><b>Definition:</b> list_mem.c:7</div></div>
<div class="ttc" id="structlist__mem_html_a854352f53b148adc24983a58a1866d66"><div class="ttname"><a href="structlist__mem.html#a854352f53b148adc24983a58a1866d66">list_mem::size</a></div><div class="ttdeci">size_t size</div><div class="ttdef"><b>Definition:</b> list_mem.h:26</div></div>
<div class="ttc" id="structlist__mem_html_a140d449f4eaaa9afc56f07abb4922597"><div class="ttname"><a href="structlist__mem.html#a140d449f4eaaa9afc56f07abb4922597">list_mem::num</a></div><div class="ttdeci">size_t num</div><div class="ttdef"><b>Definition:</b> list_mem.h:25</div></div>
<div class="ttc" id="list__mem_8h_html_a483fc0fc358317ad2576e2ede80c3d03"><div class="ttname"><a href="list__mem_8h.html#a483fc0fc358317ad2576e2ede80c3d03">list_mem_t</a></div><div class="ttdeci">struct list_mem list_mem_t</div></div>
<div class="ttc" id="list__mem_8h_html_a4c03ac658bfca8b8cb244202a62e640f"><div class="ttname"><a href="list__mem_8h.html#a4c03ac658bfca8b8cb244202a62e640f">list_mem_alloc</a></div><div class="ttdeci">void * list_mem_alloc(list_mem_t *self)</div><div class="ttdef"><b>Definition:</b> list_mem.c:26</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
